Bug 640935 - Arrow-keys, Home/End, PgUp/PgDn keys are not working in GWT text-box and text-area
Arrow-keys, Home/End, PgUp/PgDn keys are not working in GWT text-box and text...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-10-07 05:33 EDT by Rajan Timaniya
Modified: 2013-08-05 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rajan Timaniya 2010-10-07 05:33:51 EDT
Description of problem:
Arrow-keys, Home/End, PgUp/PgDn keys are not working in GWT text-box and text-area.

Version-Release number of selected component (if applicable):
RHQ-Master build #379
http://hudson-qe.rhq.rdu.redhat.com:8080/view/RHQ/job/ci-rhq-master/379/

How reproducible:
Always

Steps to Reproduce:
1) Install RHQ Server and agent
2) Browser any UI of RHQ
3) Input text to GWT text-box or text-area
4) Try to use arrow-keys, Home/End, PgUp/PgDn keys
  
Actual results:
Arrow-keys, Home/End, PgUp/PgDn keys are not working in GWT text-box and text-area.

Expected results:
Arrow-keys, Home/End, PgUp/PgDn keys should work (as it works in normal text editor) in GWT text-box and text-area.

Additional info:
Comment 1 Corey Welton 2010-10-07 09:36:17 EDT
I'm seeing this all over the UI, but not consistently - let's use this as a tracker to mark all those areas, or create another.
Comment 2 Ian Springer 2010-10-07 09:51:10 EDT
Yep, this should be present in all text boxes throughout the app. It's a bug in SmartGWT 2.2. I've verified it's fixed in the latest SmartGWT nightlies. Once SmartGWT 2.3 is released (hopefully soon), we can upgrade to it, and this bug should clear up. If we wanted to fix this sooner, we'd have to use a SmartGWT nightly/snapshot.
Comment 3 Ian Springer 2011-02-15 11:42:42 EST
We have upgraded to SmartGWT 2.4, so this should be fixed now.
Comment 4 Mike Foley 2011-04-14 07:58:03 EDT
tested home/end PgUp/PgDn  arrow keys: left, right, up, down.
Comment 5 Corey Welton 2011-05-23 21:09:53 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.